-- ============================================================
-- Database name: GPE_VAB
-- DBMS name: ORACLE Version 7.x float
-- Created on: 08/09/2017 16:22
-- ============================================================
-- ============================================================
-- Table: VAB_BENEFICIOH
-- ============================================================
ALTER TABLE VAB_BENEFICIOH ADD NREVENTOMENSA NUMBER null
/
ALTER TABLE VAB_BENEFICIOH ADD NREVENTOMENSADEP NUMBER null
/
ALTER TABLE VAB_BENEFICIOH ADD NREVETITULAREMP NUMBER null
/
ALTER TABLE VAB_BENEFICIOH ADD NREVEDEPEMPRESA NUMBER null
/
ALTER TABLE VAB_BENEFICIOH ADD NREVETITULARVINC NUMBER null
/
ALTER TABLE VAB_BENEFICIOH ADD NREVEDEPEVINC NUMBER null
/
ALTER TABLE VAB_BENEFICIOH ADD NRTABFAIXASALTIT NUMBER null
/
ALTER TABLE VAB_BENEFICIOH ADD NRTABFAIXASALDEP NUMBER null
/
ALTER TABLE VAB_BENEFICIOH ADD NRMESANIVERSARIO NUMBER null
/
ALTER TABLE VAB_BENEFICIOH ADD NRDIAVENCBOLETO NUMBER null
/
ALTER TABLE VAB_BENEFICIOH ADD VRLINEARBENEFICIO FLOAT null
/
ALTER TABLE VAB_BENEFICIOH ADD VRLINEARBENEFICIODEP FLOAT null
/
ALTER TABLE VAB_BENEFICIOH ADD NRIDADEMAXSUBFILHOS NUMBER null
/
ALTER TABLE VAB_BENEFICIOH ADD NRIDADEMAXSUBDEP NUMBER null
/
ALTER TABLE VAB_BENEFICIOH ADD NRTIPOPARTICIPATITULAR VARCHAR2(20) null
 constraint CKC_5881 check (NRTIPOPARTICIPATITULAR is null or (NRTIPOPARTICIPATITULAR
in ('FAIXA_SAL','VALOR','PERC_SAL','PERC_MENS')))
/
ALTER TABLE VAB_BENEFICIOH ADD VRPARTICIPATITULAR FLOAT null
/
ALTER TABLE VAB_BENEFICIOH ADD NRTIPOPARTICIPADEP VARCHAR2(20) null
 constraint CKC_5883 check (NRTIPOPARTICIPADEP is null or (NRTIPOPARTICIPADEP in
('FAIXA_SAL','VALOR','PERC_SAL','PERC_MENS')))
/
ALTER TABLE VAB_BENEFICIOH ADD VRPARTICIPADEPE FLOAT null
/
-- ============================================================
-- Index: VAB_380857_FK
-- ============================================================
create index VAB_380857_FK on VAB_BENEFICIOH (NREVENTOMENSA asc)
/
-- ============================================================
-- Index: VAB_380857_FK
-- ============================================================
create index VAB_380867_FK on VAB_BENEFICIOH (NREVENTOMENSADEP asc)
/
-- ============================================================
-- Index: VAB_380858_FK
-- ============================================================
create index VAB_380858_FK on VAB_BENEFICIOH (NREVETITULAREMP asc)
/
-- ============================================================
-- Index: VAB_380860_FK
-- ============================================================
create index VAB_380860_FK on VAB_BENEFICIOH (NREVEDEPEMPRESA asc)
/
-- ============================================================
-- Index: VAB_380861_FK
-- ============================================================
create index VAB_380861_FK on VAB_BENEFICIOH (NREVETITULARVINC asc)
/
-- ============================================================
-- Index: VAB_380862_FK
-- ============================================================
create index VAB_380862_FK on VAB_BENEFICIOH (NREVEDEPEVINC asc)
/
-- ============================================================
-- Index: VAB_380865_FK
-- ============================================================
create index VAB_380865_FK on VAB_BENEFICIOH (NRTABFAIXASALTIT asc)
/
-- ============================================================
-- Index: VAB_380866_FK
-- ============================================================
create index VAB_380866_FK on VAB_BENEFICIOH (NRTABFAIXASALDEP asc)
/
alter table VAB_BENEFICIOH
 add constraint FK6VAB_380FPA_EVEN foreign key (NREVENTOMENSA)
 references FPA_EVENTOM (NREVENTOM)
/
alter table VAB_BENEFICIOH
 add constraint FK6VAB_380FPA_EVEN foreign key (NREVENTOMENSADEP)
 references FPA_EVENTOM (NREVENTOM)
/
alter table VAB_BENEFICIOH
 add constraint FK2VAB_380FPA_EVEN foreign key (NREVETITULAREMP)
 references FPA_EVENTOM (NREVENTOM)
/
alter table VAB_BENEFICIOH
 add constraint FK3VAB_380FPA_EVEN foreign key (NREVEDEPEMPRESA)
 references FPA_EVENTOM (NREVENTOM)
/
alter table VAB_BENEFICIOH
 add constraint FK4VAB_380FPA_EVEN foreign key (NREVETITULARVINC)
 references FPA_EVENTOM (NREVENTOM)
/
alter table VAB_BENEFICIOH
 add constraint FK5VAB_380FPA_EVEN foreign key (NREVEDEPEVINC)
 references FPA_EVENTOM (NREVENTOM)
/
alter table VAB_BENEFICIOH
 add constraint FK1VAB_380FPA_TABE foreign key (NRTABFAIXASALTIT)
 references FPA_TABELAFOLHA (NRTABELAFOLHA)
/
alter table VAB_BENEFICIOH
 add constraint FK2VAB_380FPA_TABE foreign key (NRTABFAIXASALDEP)
 references FPA_TABELAFOLHA (NRTABELAFOLHA)
/
alter table VAB_BENEFICIARIO MODIFY NREVENTOM NUMBER NULL
/
ALTER TABLE VAB_BENEFICIARIO MODIFY IDTPBENEFICIARIO VARCHAR2(1) NULL
/
ALTER TABLE VAB_BENEFICIARIO MODIFY IDVALORDIFEBENEF VARCHAR2(20) NULL
/
ALTER TABLE VAB_FORMCALCBENEF ADD NRTPBENEFICIO NUMBER NULL
/
alter table VAB_FORMCALCBENEF
 add constraint FK7VAB_380FPA_TPBENEFICIO foreign key (NRTPBENEFICIO)
 references TPBENEFICIO (NRTPBENEFICIO)
/
ALTER TABLE VAB_BENEFICIOH ADD VRPISOTITULAR FLOAT null;
/
ALTER TABLE VAB_BENEFICIOH ADD VRTETOTITULAR FLOAT null;
/
ALTER TABLE VAB_BENEFICIOH ADD VRPISODEP FLOAT null;
/
ALTER TABLE VAB_BENEFICIOH ADD VRTETODEP FLOAT null;