<?php

namespace HCM\Util\ModeloImportacao;

class EntityContainerESocial
{
	
	private $entities;

	public function __construct() 
	{
		$entities = array();
	}

    /**
     * @param $nomeEvento
     * @param BasicEntityESocial $entidade
     * @return BasicEntityESocial
     */
    public function adicionaEvento($nomeEvento, BasicEntityESocial $entidade)
	{
		$this->entities[$nomeEvento] = $entidade;
        return $this->entities[$nomeEvento];
	}

    /**
     * @param $nomeEvento
     * @return BasicEntityESocial|null
     */
    public function getEvento($nomeEvento)
	{
		return isset($this->entities[$nomeEvento]) ? $this->entities[$nomeEvento] : null;
	}

    /**
     * @return BasicEntityESocial[]
     */
    public function getEventos()
	{
		return array_values($this->entities);
	}

	public function removeEvento($nomeEvento)
	{
		unset($this->entities[$nomeEvento]);
	}

}